[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#712630: ITP: pyqt5 -- Python bindings for Qt5

Package: wnpp
Severity: wishlist
Owner: Scott Kitterman <debian@kitterman.com>

* Package name    : pyqt5
  Version         : 5.0
  Upstream Author : Riverbank Computing Limited
* URL             : http://www.riverbankcomputing.com/software/pyqt/download5
* License         : GPLv3
  Programming Lang: Python
  Description     : Python bindings for Qt5

 PyQt5 exposes the Qt5 API to Python and Python3. The following modules are supported:
  * QtCore
  * QtDBus
  * QtGui
  * QtNetwork
  * QtXmlPatterns
  * QtSvg
  * QtTest
  * QtWebKit
  * QtPrintSupport
  * QtWidgets
  * QtWebKitWidgets
  * QtHelp
  * QtTest
  * QtDesigner
  * QtOpenGL
  * QtSql 
  * phonon 

This will have binaries for both python and python3 as both are
supported.  DPMT will be the maintainer and I'll be an uploader.  Anyone
who wants to work on putting this together, please let me know.

Reply to: